On WMF wikis, call the FileExporter link "Import to Commons"
Closed, ResolvedPublic1 Story Points

Description

Motivation:
Users should know as best as they can where they land when they click on the FileExporter link. Therefore, we want to let them know the wiki name where it lands

Task
For all WMF wikis, add a mediawiki message that renames "Export file" to "Import to Commons"

Technical notes
This will require an override message in the WikimediaMessages extension that is deployed on the WMF cluster.
https://www.mediawiki.org/wiki/Extension:WikimediaMessages

That is where the button appears, here with a generic fooBar lable instead of the "proper" text we want to have

Lea_WMDE renamed this task from Name of the link that appears on the source-wiki (e.g. WP) to Find a name for the export link that appears on the source-wiki (e.g. WP).Jul 31 2017, 9:19 AM
Lea_WMDE renamed this task from Find a name for the export link that appears on the source-wiki (e.g. WP) to On WMF wikis, call the FileExporter link "Import to Commons".Mar 7 2018, 4:08 PM
Lea_WMDE updated the task description. (Show Details)
Lea_WMDE set the point value for this task to 2.
Addshore updated the task description. (Show Details)Mar 12 2018, 11:51 AM

Change 421872 had a related patch set uploaded (by Andrew-WMDE; owner: Andrew-WMDE):
[mediawiki/extensions/FileExporter@master] On WMF wikis, name the export button "Import to Commons"

https://gerrit.wikimedia.org/r/421872

Change 421941 had a related patch set uploaded (by Andrew-WMDE; owner: Andrew-WMDE):
[mediawiki/extensions/WikimediaMessages@master] Change the export button title for FileExporter on WMF sites

https://gerrit.wikimedia.org/r/421941

Change 421872 abandoned by Andrew-WMDE:
On WMF wikis, name the export button "Import to Commons"

Reason:
Abandoned in favor of https://gerrit.wikimedia.org/r/#/c/421941/

https://gerrit.wikimedia.org/r/421872

WMDE-Fisch changed the point value for this task from 2 to 1.Apr 3 2018, 3:26 PM
WMDE-Fisch moved this task from Demo to Review on the WMDE-QWERTY-Sprint-2018-03-20 board.
WMDE-Fisch moved this task from Review to Demo on the WMDE-QWERTY-Sprint-2018-04-03 board.

Change 421941 merged by jenkins-bot:
[mediawiki/extensions/WikimediaMessages@master] Change the export button title for FileExporter on WMF sites

https://gerrit.wikimedia.org/r/421941

@Andrew-WMDE @WMDE-Fisch Could you help me with how I could test this?

Hmm yeah I also thought about that... I am not sure. It could be, that this will really only be visible when it is deployed in production...

D'oh. Of cause you can test this on beta, since the setup there mirrors the production setup with the messages beeing injected. See

https://test.wikimedia.beta.wmflabs.org/wiki/File:Sinfon%C3%ADa_de_las_Piedras,_valle_de_Garni,_Armenia,_2016-10-02,_DD_33.jpg

WMDE-Fisch closed this task as Resolved.Apr 19 2018, 8:55 AM